﻿using CoreModels.Tools;
using System;
using ToolsModule.ManagmentEntity;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("AcademicPlanRecordTimeNormHour", "Часы нагрузки записи учебного плана")]
    [EntityDependency("AcademicPlanRecord", "AcademicPlanRecordId", "Запись учебного плана, к которой относятся часы")]
    [EntityDependency("TimeNorm", "TimeNormId", "Норма времени, к которой относятся часы")]
    public interface IAcademicPlanRecordTimeNormHourModel : IId
    {
        Guid AcademicPlanRecordId { get; }

        Guid TimeNormId { get; }

        decimal PlanHours { get; }
    }
}