﻿using CoreModels.ModelsDepartment;
using System;
using System.ComponentModel.DataAnnotations;
using ToolsModule.ManagmentEntity;

namespace DepartmentContract.BindingModels
{
    /// <summary>
    /// Получение истории синхронизации приказов
    /// </summary>
    public class OrderSyncHistoryGetBindingModel : GetBindingModel
	{
	}

	/// <summary>
	/// Сохранение истории синхронизации приказов
	/// </summary>
	public class OrderSyncHistorySetBindingModel : SetBindingModel, IOrderSyncHistoryModel
	{
		[Required(ErrorMessage = "required")]
		public DateTime SyncDate { get; set; }
	}
}