﻿using SecurityContract.BindingModels;
using SecurityContract.ViewModels;
using ToolsModule.ManagmentEntity;

namespace SecurityContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы со связями пользователями с ролями
    /// </summary>
    public interface IUserRoleLogic : IGenericEntityLogic<UserRoleGetBindingModel, UserRoleSetBindingModel, UserRoleListViewModel, UserRoleViewModel> { }
}